Package org.eclipse.pde.ui.launcher

## Class ConfigurationTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.pde.ui.launcher.AbstractLauncherTab
    - - org.eclipse.pde.ui.launcher.ConfigurationTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider`, `ILaunchConfigurationTab`, `ILaunchConfigurationTab2`, `IPDELauncherConstants`, `IPDELauncherConstants`

    public class ConfigurationTab
    extends AbstractLauncherTab
    implements IPDELauncherConstants, IPDELauncherConstants

A launch configuration tab that displays and edits the configuration area location and template for a PDE launch configuration.

This class may be instantiated, but it is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.pde.launching.IPDELauncherConstants

`ADDITIONAL_PLUGINS, APP_TO_TEST, APPLICATION, ASKCLEAR, AUTOMATIC_ADD, AUTOMATIC_VALIDATE, BOOTSTRAP_ENTRIES, CONFIG_CLEAR_AREA, CONFIG_GENERATE_DEFAULT, CONFIG_LOCATION, CONFIG_TEMPLATE_LOCATION, CONFIG_USE_DEFAULT_AREA, DEFAULT_AUTO_START, DEFAULT_START_LEVEL, DEFINED_TARGET, DESELECTED_WORKSPACE_PLUGINS, DOCLEAR, ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE, FEATURE_DEFAULT_LOCATION, FEATURE_PLUGIN_RESOLUTION, GENERATE_PROFILE, INCLUDE_OPTIONAL, LOCATION, LOCATION_DEFAULT, LOCATION_EXTERNAL, LOCATION_WORKSPACE, OSGI_CONFIGURATION_TYPE, OSGI_FRAMEWORK_ID, PRODUCT, PRODUCT_FILE, RUN_IN_UI_THREAD, SELECTED_FEATURES, SELECTED_TARGET_PLUGINS, SELECTED_WORKSPACE_PLUGINS, SHOW_SELECTED_ONLY, TAB_BUNDLES_ID, TAB_CONFIGURATION_ID, TAB_MAIN_ID, TAB_OSGI_SETTINGS_ID, TAB_PLUGIN_JUNIT_MAIN_ID, TAB_PLUGINS_ID, TAB_TEST_ID, TAB_TRACING_ID, TARGET_BUNDLES, TRACING, TRACING_CHECKED, TRACING_NONE, TRACING_OPTIONS, TRACING_SELECTED_PLUGIN, USE_CUSTOM_FEATURES, USE_DEFAULT, USE_PRODUCT, USEFEATURES, VMINSTALL, WORKSPACE_BUNDLES`

### Constructor Summary

Constructors
`ConfigurationTab()` Constructor.
`ConfigurationTab​(boolean isJUnitConfig)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl​(Composite parent)`
`void` `dispose()`
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`protected void` `initializeAttributes()`
`void` `initializeFrom​(ILaunchConfiguration configuration)`
`void` `performApply​(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults​(ILaunchConfigurationWorkingCopy configuration)`
`void` `validateTab()` Validates the page and flags an error if the configuration area location or the configuration template location does not exist.

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab

`activated, createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### ConfigurationTab

    public ConfigurationTab()

Constructor. Equivalent to ConfigurationTab(false).

See Also:
  `ConfigurationTab(boolean)`

#### ConfigurationTab

    public ConfigurationTab​(boolean isJUnitConfig)

Constructor

Parameters:
  `isJUnitConfig` - a flag to indicate if the tab is to be used with a Plug-in JUnit launch configuration.

### Method Detail

#### createControl

    public void createControl​(Composite parent)

Specified by:
  `createControl` in interface `ILaunchConfigurationTab`

#### setDefaults

    public void setDefaults​(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTab`

#### initializeFrom

    public void initializeFrom​(ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`

#### performApply

    public void performApply​(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `performApply` in interface `ILaunchConfigurationTab`

#### getName

    public String getName()

Specified by:
  `getName` in interface `ILaunchConfigurationTab`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`

#### validateTab

    public void validateTab()

Validates the page and flags an error if the configuration area location or the configuration template location does not exist.

Specified by:
  `validateTab` in class `AbstractLauncherTab`
See Also:
  `AbstractLauncherTab.validateTab()`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`

#### initializeAttributes

    protected void initializeAttributes()

Overrides:
  `initializeAttributes` in class `AbstractLaunchConfigurationTab`